/*
 *
 *
 * makeInitialState(stateID)
 *
 * Create an initial state for Every Icon.
 * stateID can be 'blank', '26jan2004', or '25nov2012'.
 *
 * Warren Sack <wsack@ucsc.edu>
 * May 2017
 *
 */

function makeInitialState(stateID) {
  var initialState = [];
  // Initialize the bit vector to a series of zeroes.
  for ( var i = 0; i < 32; i++ ) {
    initialState[i] = [];
    for ( var j = 0; j < 32; j++ ) {
      initialState[i][j] = "0";
    }
  }
  if ( stateID === 'blank' ) {
    // If the desired initial state is blank, 
    // then nothing more needs to be done.
  }
  if ( stateID === '26jan2004' ) {
    // "Every Icon" as it appeared on 26 jan 2004 @ 1818
    initialState[0][0] = "1";
    initialState[1][0] = "0";
    initialState[2][0] = "0";
    initialState[3][0] = "1";
    initialState[4][0] = "0";
    initialState[5][0] = "1";
    initialState[6][0] = "0";
    initialState[7][0] = "1";
    initialState[8][0] = "1";
    initialState[9][0] = "1";
    initialState[10][0] = "1";
    initialState[11][0] = "0";
    initialState[12][0] = "1";
    initialState[13][0] = "1";
    initialState[14][0] = "0";
    initialState[15][0] = "1";
    initialState[16][0] = "0";
    initialState[17][0] = "1";
    initialState[18][0] = "0";
    initialState[19][0] = "0";
    initialState[20][0] = "0";
    initialState[21][0] = "1";
    initialState[22][0] = "1";
    initialState[23][0] = "0";
    initialState[24][0] = "0";
    initialState[25][0] = "0";
    initialState[26][0] = "0";
    initialState[27][0] = "1";
    initialState[28][0] = "0";
    initialState[29][0] = "1";
    initialState[30][0] = "1";
    initialState[31][0] = "0";
    initialState[0][1] = "0";
    initialState[1][1] = "0";
    initialState[2][1] = "0";
    initialState[3][1] = "1";
    initialState[4][1] = "0";
    initialState[5][1] = "0";
  }
  if ( stateID === '25nov2012' ) {
    // "Every Icon" as it appeared on 25 nov 2012 @ 0730
    initialState[0][0] = "1";
    initialState[1][0] = "1";
    initialState[2][0] = "0";
    initialState[3][0] = "0";
    initialState[4][0] = "1";
    initialState[5][0] = "0";
    initialState[6][0] = "0";
    initialState[7][0] = "0";
    initialState[8][0] = "1";
    initialState[9][0] = "1";
    initialState[10][0] = "1";
    initialState[11][0] = "0";
    initialState[12][0] = "0";
    initialState[13][0] = "1";
    initialState[14][0] = "1";
    initialState[15][0] = "0";
    initialState[16][0] = "1";
    initialState[17][0] = "0";
    initialState[18][0] = "1";
    initialState[19][0] = "1";
    initialState[20][0] = "1";
    initialState[21][0] = "1";
    initialState[22][0] = "1";
    initialState[23][0] = "0";
    initialState[24][0] = "1";
    initialState[25][0] = "0";
    initialState[26][0] = "1";
    initialState[27][0] = "0";
    initialState[28][0] = "0";
    initialState[29][0] = "1";
    initialState[30][0] = "1";
    initialState[31][0] = "0";
    initialState[0][1] = "0";
    initialState[1][1] = "0";
    initialState[2][1] = "1";
    initialState[3][1] = "0";
    initialState[4][1] = "1";
    initialState[5][1] = "0";
  }
  return(initialState);
}
